class PageManager
{
   var sourceObject;
   var __currentPage;
   var __nextPage;
   var __currentPageType;
   var className = "PageManager";
   static var version = "0.0.0.1";
   static var __maxPageHeight = 380;
   static var __pageBorder = 5;
   static var __vSpacing = 5;
   static var __hSpacing = 5;
   var __defaultX = 0;
   var __defaultY = 0;
   var __nextDepth = 3;
   var __pageListener = new Object();
   function PageManager()
   {
      this.__pageListener.sourceObject = this;
      this.__pageListener.pageReady = function(evtObj)
      {
         trace("PageManager __pageListener received pageReady");
         this.sourceObject.swapPages(evtObj.pageType);
      };
   }
   function init(Void)
   {
      super.init();
      this.__currentPage = this.__nextPage = null;
   }
   function size(Void)
   {
      super.size();
   }
   function getNextLevel()
   {
      if(this.__nextDepth == 3)
      {
         this.__nextDepth = 4;
         return 3;
      }
      this.__nextDepth = 3;
      return 4;
   }
   function removePage()
   {
      removeMovieClip(this.__currentPage);
      this.__currentPage = null;
   }
   function swapPages(pageType)
   {
      var _loc2_ = this.__currentPage;
      this.__currentPage = this.__nextPage;
      this.__currentPageType = pageType;
      removeMovieClip(_loc2_);
      var _loc0_ = null;
      _loc2_ = this.__nextPage = null;
      this.__currentPage.visible = true;
   }
   function setLocation(x, y)
   {
      this.__defaultX = x;
      this.__defaultY = y;
   }
   function set enabled(activeStatus)
   {
      this.__currentPage.enabled = activeStatus;
      _level0.sections.enabled = activeStatus;
      _level0.entries.enabled = activeStatus;
      if(activeStatus == true)
      {
         _level0.secListMask.gotoAndStop("enabled");
         if(_level0.entries.visible == true)
         {
            _level0.entListMask.gotoAndStop("enabled");
            _level0.entListMask._visible = true;
            _level0.listSeparator2._visible = true;
         }
      }
      else
      {
         _level0.secListMask.gotoAndStop("disabled");
         if(_level0.entries.visible == true)
         {
            _level0.entListMask.gotoAndStop("disabled");
            _level0.entListMask._visible = true;
            _level0.listSeparator2._visible = true;
         }
         else
         {
            _level0.listSeparator2._visible = false;
         }
      }
   }
   function buildPage(pageType, pageData)
   {
      var _loc4_ = undefined;
      switch(pageType)
      {
         case 1:
            trace("pageMgr.buildPage - creating IntroPage");
            _loc4_ = "IntroPage";
            break;
         case 2:
            trace("pageMgr.buildPage - creating SoftwarePage");
            _loc4_ = "SoftwarePage";
            break;
         case 3:
            trace("pageMgr.buildPage - creating TextPage");
            _loc4_ = "TextPage";
            break;
         case 4:
            trace("pageMgr.buildPage - creating CreditsPage");
            _loc4_ = "CreditsPage";
            break;
         default:
            return null;
      }
      trace("BUILDPAGE " + _loc4_);
      var _loc6_ = this.getNextLevel();
      var _loc7_ = "myPage" + _loc6_;
      var _loc2_ = _level0.attachMovie(_loc4_,_loc7_,_loc6_,{visible:false});
      trace("tempPage: " + _loc2_);
      _loc2_.addEventListener("pageReady",this.__pageListener);
      _loc2_.move(this.__defaultX,this.__defaultY);
      switch(pageType)
      {
         case 1:
            trace(pageData.label);
            _loc2_.title = pageData.label;
            trace(pageData.maindesc);
            _loc2_.primaryDescription = pageData.maindesc;
            var _loc5_ = 0;
            if(pageData.highlights != undefined)
            {
               _loc2_.highlight1 = pageData.highlights[0];
               _loc5_ = _loc5_ + 1;
               _loc2_.highlight2 = pageData.highlights[1];
               _loc2_.highlights = 2;
               _loc5_ = _loc5_ + 1;
            }
            _loc2_.highlights = pageData.numHighlights;
            if(pageData.footerdesc != undefined && pageData.updates != undefined)
            {
               _loc2_.secondaryDescription = pageData.footerdesc;
               _loc2_.secondaryList = pageData.updates;
            }
            trace("FINISHED SETTING INTROPAGE PROPERTIES");
            break;
         case 2:
            if(pageData.fulltitle != undefined)
            {
               _loc2_.title = pageData.fulltitle;
            }
            else
            {
               _loc2_.title = pageData.label;
            }
            _loc2_.description = pageData.data.description;
            _loc2_.buttons = pageData.data.links;
            _loc2_.column1Groups = pageData.data.column1Groups;
            _loc2_.column1Title = pageData.data.column1Title;
            _loc2_.column1 = pageData.data.column1;
            trace("pageData.data.column1Groups: " + pageData.data.column1Groups);
            trace("pageData.data.column2Groups: " + pageData.data.column2Groups);
            _loc2_.column2Groups = pageData.data.column2Groups;
            _loc2_.column2Title = pageData.data.column2Title;
            _loc2_.column2 = pageData.data.column2;
            _loc2_.columnBackground = true;
            break;
         case 3:
            if(pageData.headline == undefined)
            {
               _loc2_.title = pageData.label;
            }
            else
            {
               _loc2_.title = pageData.headline;
            }
            _loc2_.body = pageData.maindesc;
            break;
         case 4:
            _loc2_._x = 50;
            _loc2_._y = -97;
      }
      this.__nextPage = _loc2_;
      _loc2_ = null;
      trace("__nextPage = " + this.__nextPage);
      this.__nextPage.doneSetting();
   }
}
